<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core"
	template="/templates/template.xhtml">
	<ui:define name="content">
    <p:outputLabel value="Departamento Judicial : "/>
    <p:separator />
    <h:form rendered="#{!departamentoJudicialMB.editMode}" >
		<p:commandButton value="Nuevo" action="#{departamentoJudicialMB.reset}" ajax="false"/>        
        <p:separator />
        <p:dataTable id="departamentoJudicial" var="ent" value="#{departamentoJudicialMB.list}" widgetVar="departamentoJudicial"
                 emptyMessage="No hay resultados para esa busqueda">
            
            <f:facet name="header">
	            <p:outputPanel>
	                <p:outputLabel value="Buscar:" />
	                <p:inputText id="globalFilter" onkeyup="PF('departamentoJudicial').filter()" style="width:250px" placeholder="Ingrese su busqueda..."/>
	            </p:outputPanel>
        	</f:facet>
            
            <p:column filterBy="#{ent.descripcion}" headerText="Departamento Judicial" filterMatchMode="contains">
                <p:outputLabel value="#{ent.descripcion}" />
            </p:column>
            <p:column>
                <f:facet name="header">
                    <p:outputLabel value="Editar" />
                </f:facet>
                <p:commandButton id="edit" action="#{departamentoJudicialMB.edit(ent)}" icon="ui-icon-pencil" ajax="false">
                </p:commandButton>
            </p:column>
            <p:column>
                <f:facet name="header">
                    <p:outputLabel value="Borrar" />
                </f:facet>
				<p:commandButton id="delete" icon="ui-icon-trash" update=":header-form:messages departamentoJudicial" action="#{departamentoJudicialMB.delete(ent)}">
                	<p:confirm header="Atención" message="Está seguro que desea borrar el Departamento Judicial?" icon="ui-icon-alert" />
                </p:commandButton>
            </p:column>            
            
        </p:dataTable>
        <p:separator />
		<p:commandButton id="add" value="Nuevo" action="#{departamentoJudicialMB.reset}" ajax="false"/>
		<p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
        	<p:commandButton value="Si" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
        	<p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
    	</p:confirmDialog> 
    	<input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>  
    </h:form>
    <h:form rendered="#{departamentoJudicialMB.editMode}" >
        <p:panelGrid columns="3" >
            
                <p:outputLabel for="nombre" value="Departamento Judicial : " />
                <p:inputText id="nombre" value="#{departamentoJudicialMB.instance.descripcion}" label="Departamento Judicial" required="true"/>
                <p:message  for="nombre" display="icon"/>
            
            
		</p:panelGrid>
        <p:commandButton id="add" value="Guardar" action="#{departamentoJudicialMB.save}" ajax="false"/>
        <p:commandButton id="cancel" value="Cancelar" action="#{departamentoJudicialMB.cancel}" ajax="false" immediate="true"/>
    	<input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>
    </h:form>
	</ui:define>
</ui:composition>
